Bug 116084 - Unable to activate eth0 using the 'tg3' driver for a Broadcom NetXtreme NIC
Unable to activate eth0 using the 'tg3' driver for a Broadcom NetXtreme NIC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 22:19 EST by Peter Bradley
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 07:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bradley 2004-02-17 22:19:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
I installed FC2 last night and the install process went okay. However,
when I went to set up my dsl connection, FC2 did not seem to be able
to activate my Broadcom NetXtreme NIC (BCM5702)that is integrated onto
my P4PE motherboard. It seems to detect the card okay and it installed
the correct driver (tg3), so I'm not sure what the problem is. This
setup worked fine in Redhat 9.

Version-Release number of selected component (if applicable):
tg3 driver

How reproducible:
Always

Steps to Reproduce:
1. Setup xDSL (PPPoE)
2. Save settings 
3. Activate PPPoE (OK)
4. Attempt to activate eth0 (no effect) 

Actual Results:  eth0 fails to activate

Expected Results:  Activate eth0

Additional info:
Comment 1 Bill Nottingham 2004-02-18 00:33:30 EST
What kernel?
Comment 2 Peter Bradley 2004-02-18 18:56:08 EST
The stock uniprocessor kernel that comes with FC2
Comment 3 Bill Nottingham 2004-02-18 22:00:35 EST
Any messages in /var/log/messages related to the card/interface?
Comment 4 Peter Bradley 2004-02-19 22:54:15 EST
Here is the relevant output of dmesg:

---snip---
request_module: failed /sbin/modprobe -- block-major-132. error = 256
request_module: failed /sbin/modprobe -- block-major-135. error = 256
kudzu: numerical sysctl 1 49 is obsolete.
tg3.c:v2.5 (December 22, 2003)
divert: allocating divert_blk for eth0
eth0: Tigon3 [partno(BCM95702A20) rev 1002 PHY(5703)]
(PCI:33MHz:32-bit) 10/100/1000BaseT Ethernet 00:e0:18:bf:7c:e6
kudzu: numerical sysctl 1 49 is obsolete.
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (4095 buckets, 32760 max) - 324 bytes per
conntrack
CSLIP: code copyright 1989 Regents of the University of California
PPP generic driver version 2.4.2
divert: not allocating divert_blk for non-ethernet device ppp0
tg3: eth0: Link is up at 10 Mbps, half duplex.
tg3: eth0: Flow control is off for TX and off for RX.
request_module: failed /sbin/modprobe -- char-major-4-72. error = 256
lp0: using parport0 (polling).
lp0: console ready
NET: Registered protocol family 10
Disabled Privacy Extensions on device c039d980(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
request_module: failed /sbin/modprobe -- char-major-10-134. error = 256
atkbd.c: Unknown key released (translated set 2, code 0x7a on
isa0060/serio0).
atkbd.c: This is an XFree86 bug. It shouldn't access hardware directly.
atkbd.c: Unknown key released (translated set 2, code 0x7a on
isa0060/serio0).
atkbd.c: This is an XFree86 bug. It shouldn't access hardware directly.
eth0: no IPv6 routers present
request_module: failed /sbin/modprobe -- snd-card-0. error = 256
hdc: ATAPI 48X DVD-ROM drive, 256kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
---snip---

Here is what is in var/log/messages/:

Feb 13 22:13:36 localhost syslogd 1.4.1: restart.
Feb 13 22:13:36 localhost syslog: syslogd startup succeeded
Feb 13 22:13:36 localhost syslog: klogd startup succeeded
Feb 13 22:13:36 localhost kernel: klogd 1.4.1, log source = /proc/kmsg
started.
Feb 13 22:13:36 localhost kernel: Linux version 2.6.1-1.65
(bhcompile@porky.devel.redhat.com) (gcc version 3.3.2 20040119...
Feb 13 22:13:36 localhost kernel: BIOS-provided physical RAM map:
Feb 13 22:13:36 localhost kernel: BIOS-e820: 0000000000000000 -
000000000009fc00 (usable)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 000000000009fc00 -
00000000000a0000 (reserved)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 00000000000f0000 -
0000000000100000 (reserved)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 0000000000100000 -
000000001ffec000 (usable)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 000000001ffec000 -
000000001ffef000 (ACPI data)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 000000001ffef000 -
000000001ffff000 (reserved)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 000000001ffff000 -
0000000020000000 (ACPI NVS)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 00000000fec00000 -
00000000fec01000 (reserved)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 00000000fee00000 -
00000000fee01000 (reserved)
Feb 13 22:13:36 localhost kernel: BIOS-e820: 00000000ffff0000 -
0000000100000000 (reserved)
Feb 13 22:13:36 localhost kernel: 0MB HIGHMEM available.
Feb 13 22:13:36 localhost irqbalance: irqbalance startup succeeded
Feb 13 22:13:36 localhost kernel: 511MB LOWMEM available.
Feb 13 22:13:36 localhost kernel: On node 0 totalpages: 131052
Feb 13 22:13:36 localhost kernel: DMA zone: 4096 pages, LIFO batch:1
Feb 13 22:13:36 localhost kernel: Normal zone: 126956 pages, LIFO batch:16
Feb 13 22:13:36 localhost kernel: HighMem zone: 0 pages, LIFO batch:1
Feb 13 22:13:36 localhost kernel: DMI 2.3 present.
Feb 13 22:13:36 localhost portmap: portmap startup succeeded
Feb 13 22:13:36 localhost kernel: ACPI: RSDP (v000 ASUS              
                       ) @ 0x000f52e0
Feb 13 22:13:36 localhost kernel: ACPI: RSDT (v001 ASUS   P4PE    
0x42302e31 MSFT 0x31313031) @ 0x1ffec000
Feb 13 22:13:36 localhost kernel: ACPI: FADT (v001 ASUS   P4PE    
0x42302e31 MSFT 0x31313031) @ 0x1ffec0c0
Feb 13 22:13:36 localhost kernel: ACPI: BOOT (v001 ASUS   P4PE    
0x42302e31 MSFT 0x31313031) @ 0x1ffec030
Feb 13 22:13:36 localhost kernel: ACPI: MADT (v001 ASUS   P4PE    
0x42302e31 MSFT 0x31313031) @ 0x1ffec058
Feb 13 22:13:36 localhost kernel: ACPI: DSDT (v001   ASUS P4PE    
0x00001000 MSFT 0x0100000b) @ 0x00000000
Feb 13 22:13:36 localhost kernel: Building zonelist for node : 0
Feb 13 22:13:36 localhost kernel: Kernel command line: ro root=LABEL=/
rhgb
Feb 13 22:13:36 localhost rpc.statd[2438]: Version 1.0.6 Starting
Feb 13 22:13:36 localhost kernel: Initializing CPU#0
Feb 13 22:13:36 localhost kernel: PID hash table entries: 2048 (order
11: 16384 bytes)
Feb 13 22:13:36 localhost kernel: Detected 2539.514 MHz processor.
Feb 13 22:13:36 localhost kernel: Using tsc for high-res timesource
Feb 13 22:13:36 localhost nfslock: rpc.statd startup succeeded
---END---

Hope this helps.

Cheers,
Peter
Comment 5 Bill Nottingham 2004-02-19 23:02:12 EST
That section of /var/log/messages is from way before when it tries to
bring up the network card, actually.
Comment 6 Radek Vokal 2005-05-11 07:09:26 EDT
If this issue is still present, please reopen .. 

Note You need to log in before you can comment on or make changes to this bug.